# frozen_string_literal: true

module FIS
  module Auth
    DEFAULT_CLIENT_ID = 'b04559b9a82e2077088af40009d02053b74ce06af361b171e04ee853cdf3c89a'

    CLIENT_ID = ENV.fetch('FIS_OAUTH2_CLIENT_ID', DEFAULT_CLIENT_ID)
    LOCAL_URI = ENV.fetch('FIS_OAUTH2_LOCAL_URI', 'http://localhost:4444')
    PROVIDER_URL = ENV.fetch('FIS_OAUTH2_PROVIDER_URL', 'http://localhost:3000')
    REDIRECT_URI = ENV.fetch('FIS_OAUTH2_REDIRECT_URI', "#{LOCAL_URI}/callback")
  end
end
